"""Initial

Revision ID: 101573876677
Revises:
Create Date: 2024-10-22 15:16:14.717335

"""
from typing import Sequence, Union

import sqlalchemy as sa
from alembic import op
from core.database import engine, metadata
from sqlalchemy.dialects import sqlite

# revision identifiers, used by Alembic.
revision: str = "101573876677"
down_revision: Union[str, None] = None
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade(**kw) -> None:
    metadata.reflect(engine)
    if "brokers" not in metadata.tables:
        op.create_table(
            "brokers",
            sa.Column("id", sa.INTEGER(), nullable=False),
            sa.Column("host", sa.VARCHAR(), nullable=True),
            sa.Column("load_evaluator", sqlite.JSON(), nullable=True),
            sa.PrimaryKeyConstraint("id"),
        )
    if "metrics" not in metadata.tables:
        op.create_table(
            "metrics",
            sa.Column("id", sa.INTEGER(), nullable=False),
            sa.Column(
                "created_at", sa.DATETIME(), server_default=sa.text("(CURRENT_TIMESTAMP)"), nullable=True
            ),
            sa.Column("cpu_usage", sa.FLOAT(), nullable=True),
            sa.Column("ram_usage", sa.FLOAT(), nullable=True),
            sa.Column("sessions_count", sa.INTEGER(), nullable=True),
            sa.PrimaryKeyConstraint("id"),
        )


def downgrade(**kw) -> None:
    op.drop_table("metrics")
    op.drop_table("brokers")
