"""Add metrics params

Revision ID: bea1dcb7e4f6
Revises: 101573876677
Create Date: 2024-10-21 20:13:03.208135

"""
from typing import Sequence, Union

import sqlalchemy as sa
from alembic import op
from core.database import engine, metadata

# revision identifiers, used by Alembic.
revision: str = "bea1dcb7e4f6"
down_revision: Union[str, None] = "101573876677"
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade(**kw) -> None:
    metadata.reflect(engine)
    if "metrics_params" not in metadata.tables:
        op.create_table(
            "metrics_params",
            sa.Column("id", sa.INTEGER(), nullable=False),
            sa.Column("cache_depth", sa.INTEGER(), nullable=True),
            sa.Column("query_period", sa.INTEGER(), nullable=True),
            sa.Column("send_period", sa.INTEGER(), nullable=True),
            sa.PrimaryKeyConstraint("id"),
        )


def downgrade(**kw) -> None:
    op.drop_table("metrics_params")
